Package org.wso2.carbon.deployment.synchronizer.git.internal

## Class GitDeploymentSynchronizerConstants

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.git.internal.GitDeploymentSynchronizerConstants

-     public class GitDeploymentSynchronizerConstants
      extends Object

  Git based DeploymentSynchronizer constants

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BRANCH` |
    `static String` | `CARTRIDGE_ALIAS` |
    `static String` | `DEPLOYMENT_METHOD` |
    `static String` | `ENABLED` |
    `static String` | `FETCH` |
    `static String` | `FETCH_LOCATION` |
    `static String` | `GIT_PASSWORD` |
    `static String` | `GIT_REFS_HEADS_MASTER` |
    `static String` | `GIT_REPO_BASE_URL` |
    `static String` | `GIT_SERVER` |
    `static String` | `GIT_USERNAME` |
    `static String` | `MASTER` |
    `static String` | `MERGE` |
    `static String` | `ORIGIN` |
    `static String` | `REMOTE` |
    `static String` | `REPO_INFO_SERVICE_EPR` |
    `static String` | `REPOSITORY_TYPE` |
    `static String` | `SERVER_GITBLIT` |
    `static String` | `SERVER_KEY` |
    `static String` | `SERVER_SCM` |
    `static String` | `SERVER_UNSPECIFIED` |
    `static String` | `URL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GitDeploymentSynchronizerConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENABLED

          public static final String ENABLED

      See Also:
        Constant Field Values

    - #### REPO_INFO_SERVICE_EPR

          public static final String REPO_INFO_SERVICE_EPR

      See Also:
        Constant Field Values

    - #### CARTRIDGE_ALIAS

          public static final String CARTRIDGE_ALIAS

      See Also:
        Constant Field Values

    - #### SERVER_KEY

          public static final String SERVER_KEY

      See Also:
        Constant Field Values

    - #### REPOSITORY_TYPE

          public static final String REPOSITORY_TYPE

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_METHOD

          public static final String DEPLOYMENT_METHOD

      See Also:
        Constant Field Values

    - #### GIT_SERVER

          public static final String GIT_SERVER

      See Also:
        Constant Field Values

    - #### GIT_REPO_BASE_URL

          public static final String GIT_REPO_BASE_URL

      See Also:
        Constant Field Values

    - #### GIT_USERNAME

          public static final String GIT_USERNAME

      See Also:
        Constant Field Values

    - #### GIT_PASSWORD

          public static final String GIT_PASSWORD

      See Also:
        Constant Field Values

    - #### GIT_REFS_HEADS_MASTER

          public static final String GIT_REFS_HEADS_MASTER

      See Also:
        Constant Field Values

    - #### REMOTE

          public static final String REMOTE

      See Also:
        Constant Field Values

    - #### ORIGIN

          public static final String ORIGIN

      See Also:
        Constant Field Values

    - #### URL

          public static final String URL

      See Also:
        Constant Field Values

    - #### FETCH

          public static final String FETCH

      See Also:
        Constant Field Values

    - #### BRANCH

          public static final String BRANCH

      See Also:
        Constant Field Values

    - #### MASTER

          public static final String MASTER

      See Also:
        Constant Field Values

    - #### MERGE

          public static final String MERGE

      See Also:
        Constant Field Values

    - #### FETCH_LOCATION

          public static final String FETCH_LOCATION

      See Also:
        Constant Field Values

    - #### SERVER_GITBLIT

          public static final String SERVER_GITBLIT

      See Also:
        Constant Field Values

    - #### SERVER_SCM

          public static final String SERVER_SCM

      See Also:
        Constant Field Values

    - #### SERVER_UNSPECIFIED

          public static final String SERVER_UNSPECIFIED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GitDeploymentSynchronizerConstants

          public GitDeploymentSynchronizerConstants()